+++
title = "~a"
description = "a's domain"
author = "a (a@trwnh.com)"
+++

<link rel="me" href="mailto:a@trwnh.com">
<link rel="me" href="https://mastodon.social/@trwnh">
<link rel="me" href="https://abdullahtarawneh.com">

<section id="contact">

## contact me

Chat (XMPP)
: <a href="xmpp:a@trwnh.com" rel="me" class="u-impp">a@trwnh.com</a>

Mail (SMTP)
: <a href="mailto:a@trwnh.com" rel="me" class="u-email">a@trwnh.com</a>

Social (ActivityPub)
: <a href="https://mastodon.social/@trwnh" rel="me" class="u-url">mastodon.social/@trwnh</a>

</section>

<section id="soup">

## loosely categorized soup

### general stuff

you can probably find me around the web with the username "<span class="p-name p-nickname">trwnh</span>". it comes from my fleshform's legal name, "<span class="p-name"><span class="p-given-name">abdullah</span> <span class="p-family-name">tarawneh</span></span>"; just take the vowels out of the family name. 2014 they was so hipster. although nowadays "i" mostly just go by "a". historically i've had a really tough time with identity, so this is the best we're gonna get i guess.

<aside>

(sidenote: i am apparently not the only person to arrive at these five consonants in a row. in particular, trwnh on twitter is not me; someone claimed my username after i deleted twitter in 2018. not that i really care about twitter anymore. depending on how things go in the near-mid future, everyone else might not care either.)

</aside>

### concert/music/band stuff
i've used the names "<span class="p-nickname">obvious_humor</span>"/"<span class="p-nickname">obvioushumor</span>" for my vaguely music/band fandom stuff, and "<span class="p-nickname">birdsounds</span>" for more creative stuff like my concert photography. both names are references to lyrics by <a href="https://circasurvive.com">Circa Survive</a>, one of my favorite bands.

<figure>
<blockquote>

Make your move, obvious humor<br>
Desperate and respiratory plight<br>
Always on, dressed to impress<br>
I'll be the last one to find out why<br>
Time takes its toll on us (this changes everything)<br>
And I'd be a liar if I denied you at all<br>
Oh, now that I know<br>
This changes everything<br>
I've been trading ideas with intriguing men, and I<br>
I perceive an honest solution to all of your pride<br>
[...]<br>
I'm going home, but my own way<br>
Going home on my own<br>
I'm going home, but my own way<br>
Going home on my own

</blockquote>
<figcaption>
<a href="https://circasurvive.bandcamp.com/track/the-great-golden-baby">
<cite>Circa Survive, "The Great Golden Baby" -- Juturna (2005)</cite>
</a>
</figcaption>
</figure>
<figure>
<blockquote>

And it remains the only meaningful mistake<br>
But you won't let go, you don't know how to<br>
And every morning I begin my dreams when I'm awake<br>
Empty bird sounds are reminders<br>
You're not awake at all

</blockquote>
<figcaption>
<a href="https://circasurvive.bandcamp.com/track/bird-sounds">
<cite>Circa Survive, "Bird Sounds" -- Violent Waves (2012)</cite>
</a>
</figcaption>
</figure>

#### links to some of my concert/music/band stuff

- <a href="https://birdsounds.media" rel="me" class="u-url">birdsounds.media</a> -- my concert photography.
- <a href="https://www.youtube.com/@obvious_humor" rel="me" class="u-url">youtube.com/@obvious_humor</a> -- my concert videos. (also my de facto main youtube channel, but my youtube presence is really messy)
- <a href="https://society6.com/trwnh" rel="me" class="u-url">society6.com/trwnh</a> -- on-demand custom merch printing service for my concert photos. (i haven't uploaded all my good photos there but there are a few. ask me if you'd like to buy a print of one of my other photos, and i can upload it.)

### gameing

most of my "gamer" stuff is under the name triggerofsol. the name came from boktai; in the first boktai game "boktai: the sun is in your hands", if you 100% s-rank and get all items you get "the highest title of the delegate of Sol the solar will -- Trigger of Sol". idk the boktai games are kinda quirky and left an impact on me during my formative years. vampires, norse mythology, magitek, post-apocalyptic absurdism, lotta good stuff in those games.

<figure>
<blockquote>
<p>"So you're the Trigger of Sol? How embarrassing..."</p>
</blockquote>
<figcaption>Sunflower Girl Zazie, in response to Solar Boy Django losing his Solar Gun "Gun del Sol" at the start of <cite>Boktai 2</cite> and being unable to defeat a low-level skeleton</figcaption>
</figure>

#### links to gameing stuff

- <a href="https://twitch.tv/triggerofsol" rel="me" class="u-url">twitch.tv/triggerofsol</a> -- retro video game streams. (de facto defunct)
- i guess you can also add me on <a href="https://steamcommunity.com/id/triggerofsol" rel="me" class="u-url">steam (triggerofsol)</a> if you need to or want to?

### i am consumed by a desire for learning

varied interests here. i went to college for biomedical engineering and computer science. i took cs for """fun""" but i suppose it ended up sorta working out, because i don't really plan to do anything bme-related in my academic or professional life.

particular areas of (current) interest:

- the Web. not just the World Wide Web, but also the Semantic Web, Linked Data Web, Social Web, and all that jazz.
- communication. protocols, paradigms, and so on. one of the things i've been working on recently-ish is a sort of "grand unified communications theory", where i take a look at the existing open protocols and map them onto the pure abstract paradigms of communication -- publishing, subscribing, discussing, messaging.
- identifiers, particularly how to deal with root authority and delegation. resolving those identifiers in a decentralized and persistent way is something i wish i could find a solution to.
- i'm learning a lot more about concepts like the actor model, message passing, object capabilities, verifiable claims, distributed systems, trust and authority, and way more.
- ...but i also can do web dev and web design and stuff like that if i really had to. i don't really have anything noteworthy to show for it though.

#### look at this computer stuff

- <a href="https://git.trwnh.com" rel="me" class="u-url">git.trwnh.com</a> -- personal stuff goes here
- <a href="https://github.com/trwnh" rel="me" class="u-url">github.com/trwnh</a> -- this is where pretty much everyone is forced to collaborate due to network effects, so that's where you can find my contributions i guess
- <a href="https://socialhub.activitypub.rocks/u/trwnh">SocialHub</a> -- this is the forum where ActivityPub and the fediverse get discussed a lot

</section>
<section id="support">

## support me

look, i'm gonna level with ya. i need money to live. most of the stuff i do is what you might consider "socially useful" but also "generally unprofitable". given our capitalist society, my "value" is judged by the latter criteria rather than the former. you can skip past this section but consider maybe don't.

### ways to support me

in order of most effective to least effective:

#### donate directly

here's how this one works: you can just give me money. i'll keep doing the stuff i do. this option is good if you already think the stuff i do is cool and worthwhile and valuable without me needing to convince you.

- you can back me on <a href="https://liberapay.com/trwnh" rel="me" class="u-url">liberapay.com/trwnh</a> via bank, card, stripe or paypal. liberapay is a bit weird with how it processes payments, but you generally have an option to do "automatic renewal" or "manual renewal". you can do manual renewal and then cancel the subscription if you want to do a one-time payment.
- you can also donate via <a href="https://paypal.me/obvioushumor">paypal: tarawneh.abdullah@gmail.com</a> if you prefer paypal for some reason. i'm not sure if that paypal.me link charges extra fees, so you might need to do it manually, and if so, make sure to select "friends and family" instead of "business".

#### hire me to do something for you

i can explain things and i can do websites. generally, i'm really really really good at thinking things through and analyzing them. i put stuff up on <a href="https://abdullahtarawneh.com" rel="me" class="u-url">abdullahtarawneh.com</a> last year and i kinda stalled due to a lot going on in my life and not much going on marketably. but maybe check out the following pages:

- <a href="https://abdullahtarawneh.com/work">Work</a> -- the landing page i made that was intended to get people to hire me or contract me. not really happy with it at the moment, but still worth looking at.
- <a href="https://abdullahtarawneh.com/work/mastodon">Mastodon Documentation</a> -- in particular, this one is something i'm way more proud of. take a look y'all.

#### buy something from amazon and tell em i sent ya

can't say this is something i recommend doing, EXCEPT IF you were already going to buy something from amazon. the more expensive the better, since it's percentage-based. but don't go buying things using this referral link just because of me, y'hear?

- <a href="https://amzn.to/2rydvvC">https://amzn.to/2rydvvC</a>

my pitch is basically this: if you can't avoid amazon and you're going to buy something from them regardless, then at least use my link so that they pay me a bit of the revenue and so that it slightly reduces their profits.

</section>

<section id="quotes">

## things people have said about me
- <q>it's scary how much you know.</q>
- <q>you're the first person i've met that keeps a spreadsheet of their lightbulbs.</q>
- <q>VERY MUCH not garbage [...] a worthwhile human</q>
- <q>honestly, i trust your judgement more than i trust my own.</q>

</section>
<section id="more">

## done here? check out some other things if you want

- <a href="https://wiki.trwnh.com" rel="me" class="u-url">wiki.trwnh.com</a> -- a place to dump my thoughts
- <a href="https://obvious-humor.com" rel="me" class="u-url">tumblr</a> -- i kinda don't use this anymore but idk where else to put this link on this page :x
- no seriously <a href="#support">i need money</a> aaaa

</section>